Status: Closed

Priority: Severe/Regression

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17114

Description

With QGIS 2 built with GDAL 1.10, the "Mask layer" radio button does not display in the Clipper dialog. GDAL 1.10 is failing the the

version test in doClipper.py as it thinks 1.10 is older than 1.7. By doing a global search within the GdalTools directory, I was able to

identify the following lines of code that need to be updated to recognize GDAL 1.10 version correctly:

/Resources/python/plugins/GdalTools/tools/doBuildVRT.py

line 55

          (self.srcNoDataSpin, SIGNAL"), self.srcNoDataCheck, "1.7.0"),

line 57-58

          (self.separateCheck, SIGNAL"), None, "1.7.0"),

          (self.allowProjDiffCheck, SIGNAL"), None, "1.7.0"),

/Resources/python/plugins/GdalTools/tools/doClipper.py

line 53-54

          (self.noDataSpin, SIGNAL"), self.noDataCheck, "1.7.0"),

          (self.maskSelector, SIGNAL"), self.maskModeRadio, "1.6.0"),

line 171

          if Utils.GdalConfig.version() >= "1.8.0":

/Resources/python/plugins/GdalTools/tools/doContour.py

line 45

      self.useDirAsOutput = gdalVersion < "1.7.0"

/Resources/python/plugins/GdalTools/tools/doRasterize.py

line 97

      if gdalVersion >= "1.8.0":

line 110

      if gdalVersion >= "1.8.0":

/Resources/python/plugins/GdalTools/tools/doTileIndex.py

line 55-56

          ( self.absolutePathCheck, SIGNAL" ), None, "1.5.0" ),

          ( self.skipDifferentProjCheck, SIGNAL" ), None, "1.5.0" )

/Users/rcline/Desktop/GdalTools/tools/doWarp.py

          (self.maskSelector, SIGNAL"), self.maskCheck, "1.6.0"),
Associated revisions

Revision e9e1530b - 2013-07-19 11:10 PM - Jürgen Fischer

GdalTools: use int to compare versions (fixes #8323)

History

#1 - 2013-07-18 11:27 PM - Paolo Cavallini

- Priority changed from High to Severe/Regression

Functionalities are missing compared to 1.8, so I mark this as a blocker, even if this depends on external software.

#2 - 2013-07-19 02:11 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e9e1530b160cb7f6f8f4e12c2e110853fff97c8d".
